InitDefinitionsTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.tiles.InitDefinitionsTag,InitDefinitionsTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.tiles
Class InitDefinitionsTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.tiles.InitDefinitionsTag

All Implemented Interfaces:
  ComponentConstants, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class InitDefinitionsTag
extends javax.servlet.jsp.tagext.TagSupport
implements ComponentConstants

Init definitions factory.

See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `classname`
`private java.lang.String` | `filename`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface org.apache.struts.taglib.tiles.ComponentConstants
`COMPONENT_CONTEXT, COMPONENT_SCOPE, EXCEPTION_KEY, LOCALE_KEY`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InitDefinitionsTag()` Default constructor.

Method Summary
`int` | `doEndTag()` Do end tag.
`int` | `doStartTag()` Do start tag.
`void` | `release()` Release all allocated resources.
`void` | `setClassname(java.lang.String classname)` Set classname.
`void` | `setFile(java.lang.String name)` Set file.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filename

    private java.lang.String filename

### classname

    private java.lang.String classname

Constructor Detail

### InitDefinitionsTag

    public InitDefinitionsTag()

  Default constructor.

Method Detail

### release

    public void release()

  Release all allocated resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### setFile

    public void setFile(java.lang.String name)

  Set file.

### setClassname

    public void setClassname(java.lang.String classname)

  Set classname.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Do start tag.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Do end tag.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation